PHP kézikönyv
Előző | 5. Fejezet. Telepítés Mac OS X rendszerre | Következő

# Fordítás OS X szerveren

Mac OS X szerver telepítés.

1. Töltsd le az Apache és PHP legfrissebb változatait

2. Tömörítsd ki ezeket, és futtasd a configure programot az Apache-ra:

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache

3. Ha szeretnéd, hogy a fordító végezzen optimizációt, add hozzá a következő sort is:

       setenv OPTIM=-O2

4. Lépj be a PHP 4 forrás könyvtárába, és futtasd a configure programot:

       ./configure --prefix=/usr \
           --sysconfdir=/etc \
           --localstatedir=/var \
           --mandir=/usr/share/man \
           --with-xml \
           --with-apache=/src/apache_1.3.12

   Ha bármilyen más kiterjesztést szeretnél (MySQL, GD, stb.), szerepeltesd a megfelelő paramétereket itt. A --with-apache paraméternek az Apache forráskönyvtárát add meg, például `/src/apache_1.3.12`.

5. Add ki a make, majd a make install parancsokat. Ez létre fog hozni egy könyvtárat az Apache forráskönyvtárában az `src/modules/php4` alatt.

6. Most újra futtatnod kell a configure-t az Apache-ra, hogy beépítsd a PHP 4-et:

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache \
       --activate-module=src/modules/php4/libphp4.a

   Itt kaphatsz egy üzenetet, ami azt állítja, hogy a `libmodphp4.a` elvault. Ha ez történik, menj a `src/modules/php4` könyvtárba, az Apache forráskönyvtár alatt, és hajtsd végre ezt: ranlib libmodphp4.a. Aztán lépj vissza az Apache forráskönyvtár gyökerébe, és ismét futtasd az előző configure parancssort. Ez aktualizálja a link táblát. Add ki újra a make és a make install parancsokat.

7. Másold, és nevezd át a `php.ini-dist` állományt a `bin` könyvtárba a PHP 4 forráskönyvtárból: `cp php.ini-dist /usr/local/bin/php.ini` vagy (ha nincs local könyvtárad) `cp php.ini-dist /usr/bin/php.ini`.

Előző | Tartalom | Következő
Telepítés Mac OS X rendszerre | Fel | Fordítás MacOS X kliensre